Name:           xdg-user-dirs
Version:        0.17
Release:        3
Summary:        A tool to help manage "well known" user directories
License:        GPLv2+ and MIT
URL:            http://freedesktop.org/wiki/Software/xdg-user-dirs
Source0:        http://user-dirs.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0000:      use-fuzzy.patch
BuildRequires:  gcc gettext docbook-style-xsl libxslt
Requires:       %{_sysconfdir}/xdg/autostart

%description
xdg-user-dirs is a tool to help manage "well known" user directories like the desktop
folder and the music folder. It also handles localization (i.e. translation) of the filenames.

%package help
Summary:   help document for the xdg-user-dirs package
Buildarch: noarch

%description help
help document for th xdg-user-dirs package.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build

cd po
touch *.po
make update-gmo

%install
%make_install

%find_lang xdg-user-dirs

%files -f xdg-user-dirs.lang
%license COPYING
%doc NEWS AUTHORS README
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/xdg/user-dirs.*
%{_sysconfdir}/xdg/autostart/*

%files help
%{_mandir}/man1/*
%{_mandir}/man5/*

%changelog
* Fri Oct 25 2019 Lijin Yang <yanglijin@huawei.com> - 0.17-3
- Package init
